
// max size 0xa8+4 (???)
typedef struct {
   // CAPTURE
   int capt_hStart;           // 0x00
   int capt_vStart;
   int capt_hResolution;
   int capt_vResolution;
   int capt_hActive;          // 0x10
   int capt_vActive;          // 0x14
   int capt_hTotal;           // 0x18
   int capt_vTotal;           // 0x1C
   int bProgressScan;         // 0x20
   int frameRate;             // 0x24
   int bHdmiPC;               // 0x28
   int bFrameDoubling;        // 0x2C

   // GEOMETRY
   int sGe_x;                 // 0x30
   int sGe_y;
   int sGe_width;
   int sGe_height;

   // OTHERS
   int sBGColor_R;            // 0x40
   int sBGColor_G;
   int sBGColor_B;
   // scaler on/off
   int bVideoOn;              // 0x4C
   // "3D pull down"
   int bEnable32PullDown;     // 0x50
   int bGameModeOn;           // 0x54
   int b3DGameModeOn;         // 0x58
   int VideoDelay;            // 0x5C
   // 0..5 { RGB, YUV420, YUV422, YUV444, XVYCC, UNKNOWN }
   int eColorFormat;          // 0x60
   // 0..8 { SD_COR_SYS_AUTO, PAL, PAL60, PAL_M, PAL_N, SECAM, NT358, NT443, SD_COLOR_SYS_MAX }
   int eCorSys;               // 0x64
   int unkn_68;

   // BG
   int MHEG_bMHEGScale;       // 0x6C
   int MHEG_bGfxScale;        // 0x70
   int MHEG_sCrop_x;          // 0x74
   int MHEG_sCrop_y;
   int MHEG_sCrop_w;
   int MHEG_sCrop_h;
   int MHEG_sGeometry_x;      // 0x84
   int MHEG_sGeometry_y;
   int MHEG_sGeometry_w;
   int MHEG_sGeometry_h;
   int MHEG_sScreen_x;        // 0x94
   int MHEG_sScreen_y;
   int MHEG_sScreen_w;
   int MHEG_sScreen_h;        // 0xA0
   
   int unkn_a4[2];            // 0xA4
} SdVideo_Settings_t;


typedef int SdVideoID_k;

// int SdVideo_Get(SdVideoID_k, SdVideo_Settings_t *)
extern int _Z11SdVideo_Get11SdVideoID_kP18SdVideo_Settings_t(SdVideoID_k, SdVideo_Settings_t *);
// int SdVideo_Set(SdVideoID_k, SdVideo_Settings_t *)
extern int _Z11SdVideo_Set11SdVideoID_kP18SdVideo_Settings_t(SdVideoID_k, SdVideo_Settings_t *);
